Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IText

All Superinterfaces:
  IRuntimeNode

All Known Implementing Classes:
  TextNode

public interface IText
extends IRuntimeNode

Implemented by objects that have a textual value.

Field Summary
`static int` | `DEFAULT`
`static int` | `NONE`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `USER`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`java.lang.String` | `getTextValue()` Gets the current textual value of this object.
`int` | `getValueType()` Returns the type of the text value (USER, DEFAULT, NONE)
`boolean` | `isRequired()` Returns true if this node is required to have a value in order for the configuration to be considered complete.
`void` | `setDefaultTextValue(java.lang.String value)` Sets the current default textual value of this object.
`void` | `setTextValue(java.lang.String value)` Sets the current textual value of this object.
`void` | `unset()` Retracts any user selection made toward this node

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### NONE

    public static final int NONE

### USER

    public static final int USER

### DEFAULT

    public static final int DEFAULT

Method Detail

### getTextValue

    public java.lang.String getTextValue()

  Gets the current textual value of this object.
  Returns:
    the current value.

### setTextValue

    public void setTextValue(java.lang.String value)
                      throws LogicalException

  Sets the current textual value of this object.
    `LogicalException`

### setDefaultTextValue

    public void setDefaultTextValue(java.lang.String value)
                             throws LogicalException

  Sets the current default textual value of this object.
    `LogicalException`

### getValueType

    public int getValueType()

  Returns the type of the text value (USER, DEFAULT, NONE)

### unset

    public void unset()
               throws LogicalException

  Retracts any user selection made toward this node
    `LogicalException`

### isRequired

    public boolean isRequired()

  Returns true if this node is required to have a value in order for the configuration to be considered complete.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.